
Installer - Bug #32002

While using foreman-installer --reset-data throws few "Permission Denied" errors

03/03/2021 01:01 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: foreman-installer script   

Target version: 2.4.0   

Difficulty:  Fixed in Releases: 2.4.0

Triaged: Yes Found in Releases: 2.3.3

Bugzilla link: 1911341 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/657,

https://github.com/theforeman/foreman-i

nstaller/pull/660

  

Description

2020-12-28 22:33:26 [NOTICE] [pre_commit] All hooks in group pre_commit finished

2020-12-28 22:33:26 [NOTICE] [pre] Executing hooks in group pre

Executing: sudo -u postgres dropdb foreman

could not change directory to "/root": Permission denied  <<<<<<<<<<<<<<<

Executing: rm -f /var/lib/candlepin/.puppet-candlepin-cpdb*

Executing: sudo -u postgres dropdb candlepin

could not change directory to "/root": Permission denied   <<<<<<<<<<<<<<<

Executing: rm -f /var/lib/pulp/init.flag

Executing: mongo pulp_database   --host localhost --port 27017    --eval 'db.dropDatabase();'

MongoDB shell version v3.4.9

connecting to: mongodb://localhost:27017/pulp_database

MongoDB server version: 3.4.9

{ "dropped" : "pulp_database", "ok" : 1 }

Executing: rm -rf /var/lib/pulp/{distributions,published,repos,content}/*

2020-12-28 22:35:02 [NOTICE] [pre] All hooks in group pre finished

 The installer does not exit with these permission denied errors, it continues its work but the error message is a bit concerning.

Associated revisions

Revision 8310aa68 - 03/04/2021 01:15 PM - Eric Helms

Fixes #32002: Use runuser for executing reset commands

Hides nonsense errors such as when a user cannot change directories

when running the reset-data command. Additionally, converts reset-data

execution into log output only.

History

#1 - 03/03/2021 01:11 PM - Ewoud Kohl van Wijngaarden

- Subject changed from While using satellite-installer --reset-data throws few "Permission Denied" errors

 to While using foreman-installer --reset-data throws few "Permission Denied" errors

- Category set to foreman-installer script

- Triaged changed from No to Yes

- Found in Releases 2.3.3 added

#2 - 03/03/2021 01:29 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/foreman-installer/pull/657 added
#3 - 03/04/2021 01:15 PM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#4 - 03/04/2021 02:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

Applied in changeset installer|8310aa688aefd6a339fa7589834b89d79845c151.

#5 - 03/10/2021 05:24 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/660 added

#6 - 03/10/2021 05:34 PM - Ewoud Kohl van Wijngaarden

- Target version set to 2.4.0

- Fixed in Releases 2.4.0 added

- Fixed in Releases deleted (2.5.0)
